Package org.apache.sling.caconfig.spi

## Interface ConfigurationInheritanceStrategy

    @ConsumerType
    public interface ConfigurationInheritanceStrategy

Defines how (and if) resources in a resource hierarchy should inherit form each other. Primary use case is property inheritance over the inheritance chain.

### Method Summary

All Methods Instance Methods Abstract Methods
`@Nullable org.apache.sling.api.resource.Resource` `getResource​(@NotNull Iterator<org.apache.sling.api.resource.Resource> configResources)` Pick or merge resources for inheritance.

### Method Detail

#### getResource

    @Nullable
    @Nullable org.apache.sling.api.resource.Resource getResource​(@NotNull
                                                                 @NotNull Iterator<org.apache.sling.api.resource.Resource> configResources)

Pick or merge resources for inheritance.

Parameters:
  `configResources` - Iterator of configuration resources that form the inheritance hierarchy. First resource is the "closest" match, the other resources may be used to inherit from.
Returns:
  Inherited resource or null if this strategy does not support the given resources